org.modeshape.sequencer.ddl.dialect.teiid

## Enum TeiidDdlConstants.TeiidNonReservedWord

- java.lang.Object
- - java.lang.Enum<TeiidDdlConstants.TeiidNonReservedWord>
  - - org.modeshape.sequencer.ddl.dialect.teiid.TeiidDdlConstants.TeiidNonReservedWord

- All Implemented Interfaces:
    Serializable, Comparable<TeiidDdlConstants.TeiidNonReservedWord>, TeiidDdlConstants.DdlElement
  Enclosing interface:
    TeiidDdlConstants

      public static enum TeiidDdlConstants.TeiidNonReservedWord
      extends Enum<TeiidDdlConstants.TeiidNonReservedWord>
      implements TeiidDdlConstants.DdlElement

  Teiid non-reserved words.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCESSPATTERN`
    `ARRAYTABLE`
    `AUTO_INCREMENT`
    `AVG`
    `CHAIN`
    `COLUMNS`
    `CONTENT`
    `COUNT`
    `DELIMITER`
    `DENSE_RANK`
    `DISABLED`
    `DOCUMENT`
    `EMPTY`
    `ENABLED`
    `ENCODING`
    `EVERY`
    `EXCEPTION`
    `EXCLUDING`
    `EXTRACT`
    `FIRST`
    `HEADER`
    `INCLUDING`
    `INDEX`
    `INSTEAD`
    `JSONARRAY_AGG`
    `JSONOBJECT`
    `KEY`
    `LAST`
    `MAX`
    `MIN`
    `NAME`
    `NAMESPACE`
    `NEXT`
    `NULLS`
    `OBJECTTABLE`
    `ORDINALITY`
    `PASSING`
    `PATH`
    `QUERYSTRING`
    `QUOTE`
    `RAISE`
    `RANK`
    `RESULT`
    `ROW_NUMBER`
    `SELECTOR`
    `SERIAL`
    `SKIP`
    `SQL_TSI_DAY`
    `SQL_TSI_FRAC_SECOND`
    `SQL_TSI_HOUR`
    `SQL_TSI_MINUTE`
    `SQL_TSI_MONTH`
    `SQL_TSI_QUARTER`
    `SQL_TSI_SECOND`
    `SQL_TSI_WEEK`
    `SQL_TSI_YEAR`
    `STDDEV_POP`
    `STDDEV_SAMP`
    `SUBSTRING`
    `SUM`
    `TEXTAGG`
    `TEXTTABLE`
    `TIMESTAMPADD`
    `TIMESTAMPDIFF`
    `TO_BYTES`
    `TO_CHARS`
    `TRIM`
    `VAR_POP`
    `VAR_SAMP`
    `VARIADIC`
    `VERSION`
    `VIEW`
    `WELLFORMED`
    `WIDTH`
    `XMLDECLARATION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<String>` | `asList()`
    `String` | `toDdl()`
    `static TeiidDdlConstants.TeiidNonReservedWord` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TeiidDdlConstants.TeiidNonReservedWord[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCESSPATTERN

          public static final TeiidDdlConstants.TeiidNonReservedWord ACCESSPATTERN

    - #### ARRAYTABLE

          public static final TeiidDdlConstants.TeiidNonReservedWord ARRAYTABLE

    - #### AUTO_INCREMENT

          public static final TeiidDdlConstants.TeiidNonReservedWord AUTO_INCREMENT

    - #### AVG

          public static final TeiidDdlConstants.TeiidNonReservedWord AVG

    - #### CHAIN

          public static final TeiidDdlConstants.TeiidNonReservedWord CHAIN

    - #### COLUMNS

          public static final TeiidDdlConstants.TeiidNonReservedWord COLUMNS

    - #### CONTENT

          public static final TeiidDdlConstants.TeiidNonReservedWord CONTENT

    - #### COUNT

          public static final TeiidDdlConstants.TeiidNonReservedWord COUNT

    - #### DELIMITER

          public static final TeiidDdlConstants.TeiidNonReservedWord DELIMITER

    - #### DENSE_RANK

          public static final TeiidDdlConstants.TeiidNonReservedWord DENSE_RANK

    - #### DISABLED

          public static final TeiidDdlConstants.TeiidNonReservedWord DISABLED

    - #### DOCUMENT

          public static final TeiidDdlConstants.TeiidNonReservedWord DOCUMENT

    - #### EMPTY

          public static final TeiidDdlConstants.TeiidNonReservedWord EMPTY

    - #### ENABLED

          public static final TeiidDdlConstants.TeiidNonReservedWord ENABLED

    - #### ENCODING

          public static final TeiidDdlConstants.TeiidNonReservedWord ENCODING

    - #### EVERY

          public static final TeiidDdlConstants.TeiidNonReservedWord EVERY

    - #### EXCEPTION

          public static final TeiidDdlConstants.TeiidNonReservedWord EXCEPTION

    - #### EXCLUDING

          public static final TeiidDdlConstants.TeiidNonReservedWord EXCLUDING

    - #### EXTRACT

          public static final TeiidDdlConstants.TeiidNonReservedWord EXTRACT

    - #### FIRST

          public static final TeiidDdlConstants.TeiidNonReservedWord FIRST

    - #### HEADER

          public static final TeiidDdlConstants.TeiidNonReservedWord HEADER

    - #### INCLUDING

          public static final TeiidDdlConstants.TeiidNonReservedWord INCLUDING

    - #### INDEX

          public static final TeiidDdlConstants.TeiidNonReservedWord INDEX

    - #### INSTEAD

          public static final TeiidDdlConstants.TeiidNonReservedWord INSTEAD

    - #### JSONARRAY_AGG

          public static final TeiidDdlConstants.TeiidNonReservedWord JSONARRAY_AGG

    - #### JSONOBJECT

          public static final TeiidDdlConstants.TeiidNonReservedWord JSONOBJECT

    - #### KEY

          public static final TeiidDdlConstants.TeiidNonReservedWord KEY

    - #### LAST

          public static final TeiidDdlConstants.TeiidNonReservedWord LAST

    - #### MAX

          public static final TeiidDdlConstants.TeiidNonReservedWord MAX

    - #### MIN

          public static final TeiidDdlConstants.TeiidNonReservedWord MIN

    - #### NAME

          public static final TeiidDdlConstants.TeiidNonReservedWord NAME

    - #### NAMESPACE

          public static final TeiidDdlConstants.TeiidNonReservedWord NAMESPACE

    - #### NEXT

          public static final TeiidDdlConstants.TeiidNonReservedWord NEXT

    - #### NULLS

          public static final TeiidDdlConstants.TeiidNonReservedWord NULLS

    - #### OBJECTTABLE

          public static final TeiidDdlConstants.TeiidNonReservedWord OBJECTTABLE

    - #### ORDINALITY

          public static final TeiidDdlConstants.TeiidNonReservedWord ORDINALITY

    - #### PASSING

          public static final TeiidDdlConstants.TeiidNonReservedWord PASSING

    - #### PATH

          public static final TeiidDdlConstants.TeiidNonReservedWord PATH

    - #### QUERYSTRING

          public static final TeiidDdlConstants.TeiidNonReservedWord QUERYSTRING

    - #### QUOTE

          public static final TeiidDdlConstants.TeiidNonReservedWord QUOTE

    - #### RAISE

          public static final TeiidDdlConstants.TeiidNonReservedWord RAISE

    - #### RANK

          public static final TeiidDdlConstants.TeiidNonReservedWord RANK

    - #### RESULT

          public static final TeiidDdlConstants.TeiidNonReservedWord RESULT

    - #### ROW_NUMBER

          public static final TeiidDdlConstants.TeiidNonReservedWord ROW_NUMBER

    - #### SELECTOR

          public static final TeiidDdlConstants.TeiidNonReservedWord SELECTOR

    - #### SERIAL

          public static final TeiidDdlConstants.TeiidNonReservedWord SERIAL

    - #### SKIP

          public static final TeiidDdlConstants.TeiidNonReservedWord SKIP

    - #### SQL_TSI_DAY

          public static final TeiidDdlConstants.TeiidNonReservedWord SQL_TSI_DAY

    - #### SQL_TSI_FRAC_SECOND

          public static final TeiidDdlConstants.TeiidNonReservedWord SQL_TSI_FRAC_SECOND

    - #### SQL_TSI_HOUR

          public static final TeiidDdlConstants.TeiidNonReservedWord SQL_TSI_HOUR

    - #### SQL_TSI_MINUTE

          public static final TeiidDdlConstants.TeiidNonReservedWord SQL_TSI_MINUTE

    - #### SQL_TSI_MONTH

          public static final TeiidDdlConstants.TeiidNonReservedWord SQL_TSI_MONTH

    - #### SQL_TSI_QUARTER

          public static final TeiidDdlConstants.TeiidNonReservedWord SQL_TSI_QUARTER

    - #### SQL_TSI_SECOND

          public static final TeiidDdlConstants.TeiidNonReservedWord SQL_TSI_SECOND

    - #### SQL_TSI_WEEK

          public static final TeiidDdlConstants.TeiidNonReservedWord SQL_TSI_WEEK

    - #### SQL_TSI_YEAR

          public static final TeiidDdlConstants.TeiidNonReservedWord SQL_TSI_YEAR

    - #### STDDEV_POP

          public static final TeiidDdlConstants.TeiidNonReservedWord STDDEV_POP

    - #### STDDEV_SAMP

          public static final TeiidDdlConstants.TeiidNonReservedWord STDDEV_SAMP

    - #### SUBSTRING

          public static final TeiidDdlConstants.TeiidNonReservedWord SUBSTRING

    - #### SUM

          public static final TeiidDdlConstants.TeiidNonReservedWord SUM

    - #### TEXTAGG

          public static final TeiidDdlConstants.TeiidNonReservedWord TEXTAGG

    - #### TEXTTABLE

          public static final TeiidDdlConstants.TeiidNonReservedWord TEXTTABLE

    - #### TIMESTAMPADD

          public static final TeiidDdlConstants.TeiidNonReservedWord TIMESTAMPADD

    - #### TIMESTAMPDIFF

          public static final TeiidDdlConstants.TeiidNonReservedWord TIMESTAMPDIFF

    - #### TO_BYTES

          public static final TeiidDdlConstants.TeiidNonReservedWord TO_BYTES

    - #### TO_CHARS

          public static final TeiidDdlConstants.TeiidNonReservedWord TO_CHARS

    - #### TRIM

          public static final TeiidDdlConstants.TeiidNonReservedWord TRIM

    - #### VAR_POP

          public static final TeiidDdlConstants.TeiidNonReservedWord VAR_POP

    - #### VAR_SAMP

          public static final TeiidDdlConstants.TeiidNonReservedWord VAR_SAMP

    - #### VARIADIC

          public static final TeiidDdlConstants.TeiidNonReservedWord VARIADIC

    - #### VERSION

          public static final TeiidDdlConstants.TeiidNonReservedWord VERSION

    - #### VIEW

          public static final TeiidDdlConstants.TeiidNonReservedWord VIEW

    - #### WELLFORMED

          public static final TeiidDdlConstants.TeiidNonReservedWord WELLFORMED

    - #### WIDTH

          public static final TeiidDdlConstants.TeiidNonReservedWord WIDTH

    - #### XMLDECLARATION

          public static final TeiidDdlConstants.TeiidNonReservedWord XMLDECLARATION

  - ### Method Detail

    - #### values

          public static TeiidDdlConstants.TeiidNonReservedWord[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TeiidDdlConstants.TeiidNonReservedWord c : TeiidDdlConstants.TeiidNonReservedWord.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TeiidDdlConstants.TeiidNonReservedWord valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### asList

          public static List<String> asList()

    - #### toDdl

          public String toDdl()

      Specified by:
        `toDdl` in interface `TeiidDdlConstants.DdlElement`
      Returns:
        the DDL string representation (never `null` or empty)
      See Also:
        `TeiidDdlConstants.DdlElement.toDdl()`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.